CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   LibPV3FoamReader_SMso and FoamReaderso missing in binary pack (http://www.cfd-online.com/Forums/openfoam-installation/57293-libpv3foamreader_smso-foamreaderso-missing-binary-pack.html)

sam October 23, 2008 06:51

Hi I'm currently installing
 
Hi

I'm currently installing OpenFOAM using the binary pack. The solver works right away. However, using paraFoam, paraview asks me for a reader for cavity.OpenFOAM and gives me a list to choose from.

Presumably, this has to do with PV3FoamReader. Indeed, when I checked my installation (from the binary pack) with the installation of a friend who compiled, we figured out that the library files

$FOAM_LIBBIN/libPV3FoamReader_SM.so
$FOAM_LIBBIN/libPV3FoamReader.so

are missing in the binary pack.

Is there way to get them?

thanks, samuel

ep4 October 30, 2008 06:17

Hi, i have a similar proble
 
Hi,

i have a similar problem, when making ./Allmake to compile PV3FoamReader, it doesn't have $FOAM_LIBBIN/libPV3FoamReader_SM.so.

Moreover i can't download OpenFOAM-1.5.linux64GccDPOpt.gtgz. I already tried with different mirors but it stops each time at 74 %. Maybe it could explain my first problem?

Could someone help me? Thank you!

Eric

ep4 October 30, 2008 09:08

Here is the error i receive:
 
Here is the error i receive:

Linking CXX shared library /ric_home/ep4/OpenFOAM/OpenFOAM-1.5/lib/linux64GccDPOpt/libPV3FoamReader_SM.so
/usr/bin/ld: skipping incompatible /ric_home/ep4/OpenFOAM/OpenFOAM-1.5/lib/linux64GccDPOpt/libOpenFOAM.so when searching for -lOpenFOAM
/usr/bin/ld: cannot find -lOpenFOAM
collect2: ld gab 1 als Ende-Status zurück
make[2]: *** [/ric_home/ep4/OpenFOAM/OpenFOAM-1.5/lib/linux64GccDPOpt/libPV3FoamReader_SM.so] Fehler 1
make[1]: *** [CMakeFiles/PV3FoamReader_SM.dir/all] Fehler 2
make: *** [all] Fehler 2

I have read in other post a similar problem, not with -lOpenFoam but with -lhistory or things like that. The solution proposed was to installed some packages like readline, libreadline, liberty. After verification, there are present on my system.

Any suggestion?

Thanks
Eric


All times are GMT -4. The time now is 13:20.